# vrt_lss_account
LSS Account Panel

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 3.4.161326
- Package version: 3.4.161326
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import vrt_lss_account
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import vrt_lss_account
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function

import time
import vrt_lss_account
from vrt_lss_account.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://api.veeroute.tech/v3
# See configuration.py for a list of all supported configuration parameters.
configuration = vrt_lss_account.Configuration(
    host = "https://api.veeroute.tech/v3"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization (JWT): ApiKeyAuth
configuration = vrt_lss_account.Configuration(
    access_token = 'YOUR_BEARER_TOKEN'
)


# Enter a context with an instance of the API client
with vrt_lss_account.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = vrt_lss_account.AuthApi(api_client)
    password_request = vrt_lss_account.PasswordRequest() # PasswordRequest | Statistics data filter. (optional)

    try:
        # Change password.
        api_instance.change_password(password_request=password_request)
    except ApiException as e:
        print("Exception when calling AuthApi->change_password: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *https://api.veeroute.tech/v3*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AuthApi* | [**change_password**](docs/AuthApi.md#change_password) | **POST** /account/password | Change password.
*AuthApi* | [**token**](docs/AuthApi.md#token) | **POST** /account/token | Obtaining a token.
*QuotaApi* | [**read_quota**](docs/QuotaApi.md#read_quota) | **GET** /account/quota | Obtaining the quotas.
*ReportsApi* | [**generate_report**](docs/ReportsApi.md#generate_report) | **POST** /account/report | Reporting.
*StatisticsApi* | [**generate_statistics**](docs/StatisticsApi.md#generate_statistics) | **POST** /account/statistics | User statistics for the period.
*SystemApi* | [**check**](docs/SystemApi.md#check) | **GET** /account/check | Checking the service availability.
*SystemApi* | [**version**](docs/SystemApi.md#version) | **GET** /account/version | Getting the service version.


## Documentation For Models

 - [AdditionalQuota](docs/AdditionalQuota.md)
 - [CheckResult](docs/CheckResult.md)
 - [DateStatistics](docs/DateStatistics.md)
 - [DateWindow](docs/DateWindow.md)
 - [InlineResponse400](docs/InlineResponse400.md)
 - [InlineResponse400Validations](docs/InlineResponse400Validations.md)
 - [InlineResponse401](docs/InlineResponse401.md)
 - [InlineResponse403](docs/InlineResponse403.md)
 - [InlineResponse404](docs/InlineResponse404.md)
 - [InlineResponse415](docs/InlineResponse415.md)
 - [InlineResponse429](docs/InlineResponse429.md)
 - [InlineResponse500](docs/InlineResponse500.md)
 - [InlineResponse501](docs/InlineResponse501.md)
 - [InlineResponse502](docs/InlineResponse502.md)
 - [InlineResponse503](docs/InlineResponse503.md)
 - [InlineResponse504](docs/InlineResponse504.md)
 - [InlineResponseDefault](docs/InlineResponseDefault.md)
 - [MethodName](docs/MethodName.md)
 - [MethodQuota](docs/MethodQuota.md)
 - [MethodStatistics](docs/MethodStatistics.md)
 - [PasswordRequest](docs/PasswordRequest.md)
 - [Quota](docs/Quota.md)
 - [ServiceName](docs/ServiceName.md)
 - [ServiceQuota](docs/ServiceQuota.md)
 - [ServiceStatistics](docs/ServiceStatistics.md)
 - [TokenRequest](docs/TokenRequest.md)
 - [TraceData](docs/TraceData.md)
 - [UserQuotaResult](docs/UserQuotaResult.md)
 - [UserReportFilter](docs/UserReportFilter.md)
 - [UserStatistics](docs/UserStatistics.md)
 - [UserStatisticsFilter](docs/UserStatisticsFilter.md)
 - [VersionResult](docs/VersionResult.md)


## Documentation For Authorization


## ApiKeyAuth

- **Type**: Bearer authentication (JWT)


## Author

support@veeroute.com


